Bug 517006 - Photos on phone memory card not detected properly
Photos on phone memory card not detected properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fitandfinish
  Show dependency treegraph
 
Reported: 2009-08-12 06:10 EDT by Adam Huffman
Modified: 2010-12-05 01:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:37:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gvfs-mount -li output (7.29 KB, text/plain)
2009-08-12 09:35 EDT, Adam Huffman
no flags Details
gvfs-tree output (12.35 KB, text/plain)
2009-08-12 09:36 EDT, Adam Huffman
no flags Details
gvfs-mount -li (2.41 KB, text/plain)
2009-11-02 04:50 EST, Nicu Buculei
no flags Details
gvfs-tree /media/Kingston/ (8.48 KB, text/plain)
2009-11-02 04:52 EST, Nicu Buculei
no flags Details

  None (edit)
Description Adam Huffman 2009-08-12 06:10:29 EDT
Description of problem:
As part of the Fedora Fit And Finish Day (http://www.fedoraproject.org/wiki/Test_Day:2009-08-04_Fit_and_Finish:Peripherals) I tested connecting my phone via USB cable in order to import photos.  A dialog appeared asking if I wanted to import the photos.  When I clicked to do that, another window 'Import Photos' appeared.  It complained that 'No photos were found'.

There is a 'dcim' directory on the card and during conversation on IRC people said that the media type was detected correctly.

Version-Release number of selected component (if applicable):
whichever version was in the Fit And finish live image

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2009-08-12 07:49:06 EDT
Could you please also attach the output of "gvfs-mount -li" and "gvfs-tree <uri of the mount>"?

Trying to reproduce the problem here...
Comment 2 Adam Huffman 2009-08-12 09:35:41 EDT
Created attachment 357167 [details]
gvfs-mount -li output
Comment 3 Adam Huffman 2009-08-12 09:36:25 EDT
Created attachment 357168 [details]
gvfs-tree output
Comment 4 Nicu Buculei 2009-11-02 04:48:06 EST
I can reproduce this problem when importing photos from my SD card (the photos are made with a Canon 450D) and this is a regression, it used to work correctly in previous releases. I think it happens because the card is unmounted just before the import operation.
Comment 5 Nicu Buculei 2009-11-02 04:50:38 EST
Created attachment 367095 [details]
gvfs-mount -li
Comment 6 Nicu Buculei 2009-11-02 04:52:57 EST
Created attachment 367096 [details]
gvfs-tree /media/Kingston/
Comment 7 Nicu Buculei 2009-11-02 05:05:14 EST
In case if i wasn't clear enough in my previous comment: this happen when using the memory card in a card reader, as a mass storage device, which is what I prefer to use in order to preserve the battery.

It also fails when reading directly from camera (PTP mode) with a different set of errors - "An error occurred in the io-library ('Bad parameters'): No error description available", but this bug is about memory cards.
Comment 8 Bastien Nocera 2009-11-09 17:17:58 EST
This is due to the current gthumb not using gio one bit, and upstream still having not made a release of the code with GIO support (they're happy restructuring/rewriting the code...).
Comment 9 Nicu Buculei 2009-11-10 02:10:26 EST
But for the time being, importing photos with Fedora 12 is a *pain*: I can copy the files with Nautilus, but their file names are ALL CAPS (IIRC it used to be like this only when using PTP mode, now I see it also in mass storage mode), so after the import I have to run by hand a script and restore file name sanity.
Comment 10 Bug Zapper 2009-11-16 06:21:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora Admin XMLRPC Client 2010-07-17 18:10:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Bug Zapper 2010-11-04 06:32:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-05 01:37:34 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.